lang ja_JP.UTF-8
keyboard jp106
timezone Asia/Tokyo
auth --enableshadow  --enablemd5
#selinux --enforcing
selinux --disabled
firewall --disabled

rootpw --iscrypted $1$BYgVel.d$eiK583xp./sBbU3cLpcHn0
network --device eth0 --bootproto dhcp

xconfig --startxonboot
#services --enabled=NetworkManager,dhcdbd --disabled=network,sshd
services --enabled=NetworkManager,dhcdbd --disabled=sshd

repo --name=a-dev --baseurl=http://dist.momonga-linux.org/pub/momonga/development/i686/os

%packages
# basic desktop packages
@base-x
@base
@core

bash
kernel
syslinux
passwd
policycoreutils
chkconfig
authconfig
rootfiles
kbd
vim-minimal
dhclient
netconfig
eject
tree

# japanese langauge
opfc-ModuleHP
anthy
uim-anthy
prime
prime-dict
jfbterm
lv
nkf

fonts-ISO8859-2
fonts-ISO8859-2-100dpi
fonts-ISO8859-2-75dpi
fonts-KOI8-R
fonts-KOI8-R-100dpi
fonts-KOI8-R-75dpi
fonts-chinese
fonts-japanese
fonts-korean

scim*
-scim-devel
-scim-qtimm
-scim-skk
-scim-tomoe
-scim-tables-chinese
-scim-fcitx*
-scim-tables-additional
-scim-skk
-scim-canna

-suikyo*
-kasumi*

# lots of people want...
gparted
ntfs-3g
ntfsprogs

# livecd bits to set up the livecd and be able to install
anaconda
anaconda-runtime
momonga-images

###
###  GNOME desktop
###
control-center
esound
gnome-applets
gnome-panel
gnome-session
gnome-terminal
metacity
nautilus
yelp
at-spi
bug-buddy
dvd+rw-tools
#evince
file-roller
gcalctool
gedit
gnome-audio
gnome-backgrounds
gnome-bluetooth
gnome-media
gnome-netstatus
gnome-power-manager
gnome-screensaver
gnome-system-monitor
gnome-themes
gnome-utils
gnome-vfs2
gnome-volume-manager
gthumb
gtk2-engines
nautilus-cd-burner
NetworkManager-gnome
NetworkManager-glib
notification-daemon
vino
gnome-icon-theme
gnome-keyring
gnome-keyring-manager
gnome-menus
gnome-mime-data
hicolor-icon-theme
htmlview
eel2
gnome-desktop
gnome-system-tools
gstreamer
redhat-artwork
vte
#beagle
#deskbar-applet
gamin

##
## graphical internet
##
firefox
ochusha
pidgin
thunderbird
xchat
gftp

##
## graphic
##
#ImageMagick
gimp
-graphviz

##
## admin-tools
##
authconfig-gtk
gparted
pirut
system-config-boot
system-config-date
system-config-display
system-config-keyboard
system-config-language
system-config-network
system-config-network-tui
system-config-printer
system-config-printer-libs
system-config-rootpassword
system-config-securitylevel
system-config-securitylevel-tui
system-config-soundcard
system-config-users

#samba-client
screen

# sound and video
rhythmbox
sound-juicer
totem
totem-mozilla-plugin


-gimp-print
-ghostscript-*
-cups
-foomatic
-system-config-printer-libs

-compiz
-bind
-vnc-server
-rxvt*
-postfix

-dbus-qt
-qt
-qt4*
-avahi-qt3
-kde-i18n*
-kdelibs
-kdebase

-OpenEXR
-dbus-qt
-facile

-bluez-bluefw
-bluez-hcidump
-cvs
-kernel-headers

-xorg-x11-luit
-xorg-x11-mkfontdir
-xorg-x11-mkfontscale
-xorg-x11-oclock
-xorg-x11-x11perf
-xorg-x11-xbiff
-xorg-x11-xcalc
-xorg-x11-xclipboard
-xorg-x11-xclock
-xorg-x11-xconsole
-xorg-x11-xcursorgen
-xorg-x11-xeyes
-xorg-x11-xinit-french
-xorg-x11-xinit-german
-xorg-x11-xinit-spanish
-xorg-x11-xkbdata
-xorg-x11-xkill
-xorg-x11-xload
-xorg-x11-xlogo
-xorg-x11-xmag
-xorg-x11-xmessage
-xorg-x11-xpr
-xorg-x11-xwd
-xorg-x11-xwud


%post
# FIXME: it'd be better to get this installed from a package
cat > /etc/rc.d/init.d/momonga-live << EOF
#!/bin/bash
#
# live: Init script for live image
#
# chkconfig: 345 00 99
# description: Init script for live image.

. /etc/init.d/functions

if ! strstr "\`cat /proc/cmdline\`" liveimg || [ "\$1" != "start" ] || [ -e /.liveimg-configured ] ; then
    exit 0
fi

exists() {
    which \$1 >/dev/null 2>&1 || return
    \$*
}

touch /.liveimg-configured

# mount live image
if [ -b /dev/live ]; then
   mkdir -p /mnt/live
   mount -o ro /dev/live /mnt/live
fi

# configure keyboard
exists system-config-keyboard --text

# configure X
exists system-config-display --noui --reconfig --set-depth=24

# unmute sound card
exists alsaunmute 0 2> /dev/null

# add fedora user with no passwd
useradd -c "Momonga Live" momonga
passwd -d momonga > /dev/null

echo -e "[Desktop]\nSession=gnome\nLanguage=ja_JP.UTF-8" > /home/momonga/.dmrc
chown momonga.momonga /home/momonga/.dmrc
chmod 0600 /home/momonga/.dmrc

mkdir /home/momonga/Desktop -m 0755
chown momonga.momonga /home/momonga/Desktop

# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
# set up timed auto-login for after 60 seconds
sed -i -e 's/\[daemon\]/[daemon]\nTimedLoginEnable=true\nTimedLogin=momonga\nTimedLoginDelay=60/' /etc/X11/gdm/custom.conf
#if [ -e /usr/share/icons/hicolor/96x96/apps/fedora-logo-icon.png ] ; then
#    cp /usr/share/icons/hicolor/96x96/apps/fedora-logo-icon.png /home/fedora/.face
#    chown fedora:fedora /home/fedora/.face
#    # TODO: would be nice to get e-d-s to pick this one up too... but how?
#fi

# turn off firstboot for livecd boots
echo "RUN_FIRSTBOOT=NO" > /etc/sysconfig/firstboot

# don't start yum-updatesd for livecd boots
chkconfig --level 345 yum-updatesd off

# don't start cron/at as they tend to spawn things which are
# disk intensive that are painful on a live image
chkconfig --level 345 crond off
chkconfig --level 345 atd off
chkconfig --level 345 anacron off
#chkconfig --level 345 readahead_early off
#chkconfig --level 345 readahead_later off

# Stopgap fix for RH #217966; should be fixed in HAL instead
touch /media/.hal-mtab
EOF
chmod 755 /etc/rc.d/init.d/momonga-live
/sbin/restorecon /etc/rc.d/init.d/momonga-live
/sbin/chkconfig --add momonga-live

# save a little bit of space at least...
rm -f /boot/initrd*

rm -f /usr/share/applications/djview.desktop 
rm -f /usr/share/applications/eog.desktop 
rm -f /usr/share/applications/invest-chart.desktop
rm -f /usr/share/applications/bssh.desktop /usr/share/applications/bvnc.desktop

